> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/integration/apps/apps-details.md).

# Apps details

## General settings

### Name

The name of the app.

### App description

The description of the app.

### Messaging version

The version of the messaging API to use.

### Active

Determines if the app is active or not.

***

## Extension point setup

### Label

The name, or label, for the extension point.

### Key

Auto-generated key value from the label of the extension point.

### Description

The description of the extension point.

### Type

The type of the extension point. [Read more about extension point types here](/reference/settings/integration/apps/apps-details/extension-points/extension-point-types.md).

### Embed URL

The URL where the app fetches its data from and renders its content within Struct PIM. You can use '@' to insert context values such as slug, user, and language, allowing the app to adapt dynamically to the current context.

{% hint style="info" %}
Depending on the extension point type, the context options entity type and internal ID may be available.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/integration/apps/apps-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
